ChartDirector Ver 5.0 (PHP Edition)

Box.setZOrder

Usage

setZOrder(z)

Description

Sets the z-order (drawing order) for custom box objects.
The setZOrder method of the Box object only applies to custom objects created using BaseChart.addText. Box objects generated by ChartDirector, such as axes labels, data labels, etc., will have their z-order fixed by ChartDirector.
ChartDirector will draw objects in ascending z-order. That means objects with larger z-order will be drawn later, and hence will be on the top of the chart.
The following constants represents the z-order of various ChartDirector objects. You may use these constants to determine the ordering of the object relative to these ChartDirector objects.

Constant | Value | Description
--- | --- | ---
ChartBackZ | 0x100 | The z-order of the chart background. Objects at this z-order will be painted on the chart background.
ChartFrontZ | 0xffff | The z-order of the front of the chart. Objects at this z-order will appear on top of all chart objects.
PlotAreaZ | 0x1000 | The z-order of the plot area background. Objects at this z-order will be painted on the plot area background but behind other plot area objects (such as grid lines).
GridLinesZ | 0x2000 | The z-order of the grid lines. Objects at this z-order will be painted after painting the grid lines.

Arguments

Argument | Default | Description
--- | --- | ---
z | (Mandatory) | The z-order of the object.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.